background { 
	color rgb <0,0,0> 
}

global_settings {
   ambient_light rgb <1,1,1>
   assumed_gamma 2
   max_trace_level 8
}

#include "sky.inc"

#declare VP = <0,0,0>;
#declare VD = <0,0,1>;
#declare VU = <1,0,0>;
camera {
   fisheye
   location VP
   up y
   right -image_width*x/image_height
   angle 180
   sky VU
   look_at VP + VD
}

// Light
light_source {
  VP
  color <1,1,1>
}

// Billboard
polygon {
	5, <0,0,0>, <0,1,0>, <1,1,0>, <1,0,0>, <0,0,0>
   texture {
      pigment {
         image_map { png "photosample.png"}
      }
      finish {
         ambient 1
         diffuse 0
         specular 0.0
      }
   }
   rotate <90,0,0> // Now in x-z plane
	rotate <0,0,90> // Now in y-z plane
	translate <0,-1/2,0> // Now centered on the z axis in width
   scale <1,9.6,5.4> // Deals with the aspect ratio
   translate <-5,0,0>
	translate <0,0,1>
}


